<video #video [style.visibility]="progressValue === 1 ? 'visible' : 'hidden'"></video>
<progress #progress [value]="progressValue" [style.visibility]="progressValue < 1 ? 'visible' : 'hidden'"></progress>
<aside #error [style.visibility]="errorMessage ? 'visible' : 'hidden'">{{ errorMessage }}</aside>
